POST api/persons/{id}/tip
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | string |
Required |
Body Parameters
TipAProductDto| Name | Description | Type | Additional information |
|---|---|---|---|
| FromEmail | string |
None. |
|
| FromTelephone | string |
None. |
|
| FromPersonId | globally unique identifier |
None. |
|
| ProductId | globally unique identifier |
None. |
|
| ShopId | globally unique identifier |
None. |
|
| ToEmail | string |
None. |
|
| ToTelephone | string |
None. |
|
| ToFirstname | string |
None. |
|
| ToLastname | string |
None. |
|
| TextKey | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"fromEmail": "sample string 1",
"fromTelephone": "sample string 2",
"fromPersonId": "02e263f3-e1aa-4d8a-ad80-c0ff673d04f7",
"productId": "d2287e8b-ffff-41af-a6c6-11e2dcb6e34b",
"shopId": "e27b9ef3-707b-49cf-a860-549ded7c4dc1",
"toEmail": "sample string 6",
"toTelephone": "sample string 7",
"toFirstname": "sample string 8",
"toLastname": "sample string 9",
"textKey": "sample string 10"
}
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.